Skip to main content
GET
Pre-flight signup email policy check for magic link

Query Parameters

email
string<email>
required

Email address to evaluate

Response

Policy evaluated

Pre-flight evaluation of the signup email policy for the magic-link path.

allowed
boolean
required

Whether this email may sign up via magic link.

reason
enum<string> | null

Rejection reason when not allowed: disposable_email, personal_email_not_allowed, or academic_email_not_allowed.

Available options:
disposable_email,
personal_email_not_allowed,
academic_email_not_allowed,
undeliverable_email